[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Perl warning in apt-get operations...



on Wed, Aug 15, 2001 at 04:34:36AM -0500, Colin Watson (cjwatson@debian.org) wrote:
> On Tue, Aug 14, 2001 at 11:02:13PM -0500, Rogelio E. Castillo Haro wrote:
> > Hi!
> > When i use apt-get...I've the next message:
> > 
> > 
> > 
> > perl: warning: Setting locale failed.
> > perl: warning: Please check that your locale settings:
> > 		LANGUAGE = (unset),
> >   		 LC_ALL = (unset),
> > 			LANG = "en.ISO8859-1"
> > are supported and installed on your system.
> > perl: warning: Falling back to the standar locale ("C").
> > 
> > This happens later I use red carpet to upgrade a lot of packages... :(
> > Where can I set this parameters?
> 
> The environment variable setting 'LANG=en.ISO8859-1' isn't valid. Try
> 'LANG=en_US.ISO-8859-1' instead; it might be in your shell startup
> scripts or something.

I believe that's either incorrect and/or the bug reported is an oldish
Perl problem.  I remember dealing with something similar
myself...lessee...I'd had "en-US" rather than the correct "en_US".

My LANG settings are:

    /home/karsten/.bashrc:export LANGUAGE=en_US
    /home/karsten/.bashrc:export LANG=en_US

Cheers.

-- 
Karsten M. Self <kmself@ix.netcom.com>          http://kmself.home.netcom.com/
 What part of "Gestalt" don't you understand?             There is no K5 cabal
  http://gestalt-system.sourceforge.net/               http://www.kuro5hin.org
   Free Dmitry! Boycott Adobe! Repeal the DMCA!    http://www.freesklyarov.org
Geek for Hire                        http://kmself.home.netcom.com/resume.html

Attachment: pgpoaeoYDelfQ.pgp
Description: PGP signature


Reply to: